import os
import pkg_resources

import pytest
from pyfakefs.fake_filesystem import FakeFilesystem
import responses


@pytest.fixture
def incommon_urlopener(fs: FakeFilesystem, mock_responses: None) -> None:
    fs.add_real_directory(os.path.dirname(__file__))
    idplist = pkg_resources.resource_string(__name__, "idplist.xml")

    incommon_metadata = pkg_resources.resource_string(__name__, "InCommon-metadata.xml")

    responses.add(
        "GET",
        "https://cilogon.org/include/idplist.xml",
        body=idplist,
    )
    responses.add(
        "GET",
        "https://mdq.incommon.org/entities/urn:mace:incommon:osu.edu",
        body=incommon_metadata,
    )
    return None
