import responses

from gcs_migration.parsers import InCommonMetadata


def test_incommon_metadata(incommon_urlopener: None) -> None:
    organization = "Ohio State University"
    icm = InCommonMetadata(organization=organization)

    assert icm.entity_id == "urn:mace:incommon:osu.edu"
    assert icm.domains == ["osu.edu"]
    assert icm.organization == organization
    icm.entity_id = None
    icm.domains = None
    icm.organization = organization
    assert icm.entity_id == "urn:mace:incommon:osu.edu"
    assert icm.domains == ["osu.edu"]
    assert icm.organization == organization

    icm.entity_id = None
    icm.domains = None
    icm.organization = "Fake University"
    assert icm.entity_id is None
    assert icm.domains is None

    icm.entity_id = None
    icm.domains = None
    icm.organization = None
    icm.entity_id = "urn:mace:incommon:fake.edu"
    assert icm.entity_id == "urn:mace:incommon:fake.edu"
    assert icm.domains is None


def test_incommon_metadata_bad_network(incommon_urlopener: None) -> None:
    responses.add("GET", "https://cilogon.org/include/idplist.xml", status=404)
    organization = "Ohio State University"
    icm = InCommonMetadata(organization=organization)
    icm.entity_id = None
    icm.domains = None
    assert icm.entity_id is None
    assert icm.domains is None
